// pages/integralRecord/index.js
import request from "../../utils/request"
import { getIntegralRecord } from "../../service/system";
import { alertInfo, loadingFunc } from "../../utils";
const { OK } = request;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    size: 20,
    list: [],
    total: 0,
    totalPage: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },
  async init() {
    const { page, size } = this.data;
    const { code, message, data, total } = await getIntegralRecord({ page, size })
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    this.setData({
      list: data || [],
      total,
      totalPage: Math.ceil(total / size),
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    const that = this;
    loadingFunc(async () => {
      await that.init();
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})